CoCoALib - Feature #715

RandomSubsetindices, RandomTuplelndices?
20 May 2015 12:47 - Anna Maria Bigatti

Status: Closed Start date: 20 May 2015
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: New Function Estimated time: 2.00 hours
Target version: CoCoALib-0.99538 summer 2015 Spent time: 0.20 hour
Description

In CoCoA we have RandomSubsetindices, RandomTuplelndices.
Could they be useful in CoCoALib?
If so implement translate them into C++ (shifting by 1) and then port them into CoCoA (shifting back by 1).

Related issues:
Related to CoCoA-5 - Feature #622: New function: RandomSubset Closed 12 Sep 2014

History

#1 - 21 May 2015 09:38 - John Abbott
- Status changed from New to Resolved
- Assignee set to John Abbott

- % Done changed from 0 to 50

| have already reported this (and logged time) in issue #622.

| think RandomSubsetindices is likely to be useful.

If we have RandomTuplelndices in CoCoA-5 then we should probably have it in CoCoALib too (if only to simplify passage of CoCoA-5 code to
CoCoALib).

| still do not like the names: they are too long.

#2 - 30 Jul 2015 17:37 - John Abbott
- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99538 summer 2015

#3 - 30 Jul 2015 17:39 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 50 to 100
